ModelSell Docs
VideosVidu Video

Vidu 首尾帧生视频

POST
/ent/v2/start-end2video

images 按首帧、尾帧顺序提供两张图片。当前支持 viduq2-pro、viduq2-turbo、viduq2-pro-fast、viduq3-pro、viduq3-turbo;Q4 Preview 不提供首尾帧操作。 Q2 为 1–10 秒,Q3 为 1–16 秒;Pro Fast 仅使用 720p/1080p。Q3 支持 audio 音画同出;不要将 Q3 的 audio 能力直接套用于 Q2 首尾帧。 使用 Bearer ModelSell API Key。保存公共 task_id 并以同一 Key 查询原生任务接口;当前 off_peak 只能为 false。

Authorization

bearerAuth
AuthorizationBearer <token>

使用 Authorization Bearer API Key 进行鉴权。

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/ent/v2/start-end2video" \  -H "Content-Type: application/json" \  -d '{    "model": "viduq3-turbo",    "images": [      "https://example.com/first-frame.png",      "https://example.com/last-frame.png"    ],    "prompt": "镜头从首帧平稳过渡到尾帧,保持人物与场景一致。",    "duration": 5,    "resolution": "720p",    "audio": true,    "watermark": false  }'
{
  "task_id": "task_VIDU_PUBLIC_EXAMPLE",
  "state": "created",
  "model": "viduq3-turbo"
}
Empty
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}